Account · API
Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.
GET /api/v1/account/status
Serverbestätigten Kontostatus abrufen
Authentication: bearer token
Required route scopes: none declared
All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.
No path or query parameters declared.
No request body declared.
Documented responses
OpenAPI JSON
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"authenticated",
"verifiedUntil",
"validForMs",
"account",
"error"
],
"properties": {
"authenticated": {
"type": "boolean"
},
"verifiedUntil": {
"type": "number"
},
"validForMs": {
"type": "number"
},
"account": {
"anyOf": [
{
"type": "object",
"required": [
"membership",
"entitlements",
"limits",
"isAdmin",
"notificationsUnread",
"serverTime",
"validUntil"
],
"properties": {
"membership": {
"type": "object",
"required": [
"plan",
"trialEndsAt",
"premiumExpiresAt"
],
"properties": {
"plan": {
"anyOf": [
{
"type": "string",
"enum": [
"free"
]
},
{
"type": "string",
"enum": [
"trial"
]
},
{
"type": "string",
"enum": [
"premium"
]
}
]
},
"trialEndsAt": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"premiumExpiresAt": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"periodStartedAt": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
}
},
"entitlements": {
"type": "object",
"required": [
"profiles",
"api",
"automation",
"synchronizer",
"teamSync"
],
"properties": {
"profiles": {
"type": "boolean"
},
"api": {
"type": "boolean"
},
"automation": {
"type": "boolean"
},
"synchronizer": {
"type": "boolean"
},
"teamSync": {
"type": "boolean"
}
}
},
"limits": {
"type": "object",
"required": [
"profiles",
"runningProfiles",
"groups"
],
"properties": {
"profiles": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"runningProfiles": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"groups": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"members": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"dailyStarts": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
}
}
},
"usage": {
"type": "object",
"required": [
"profiles",
"members",
"startsToday",
"day",
"resetAt"
],
"properties": {
"profiles": {
"type": "integer",
"minimum": 0
},
"members": {
"type": "integer",
"minimum": 0
},
"startsToday": {
"type": "integer",
"minimum": 0
},
"day": {
"type": "string"
},
"resetAt": {
"type": "number"
}
}
},
"team": {
"type": "object",
"required": [
"id",
"name",
"role",
"ownerId"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"member"
]
}
]
},
"ownerId": {
"type": "string"
}
}
},
"isAdmin": {
"type": "boolean"
},
"notificationsUnread": {
"type": "integer",
"minimum": 0
},
"serverTime": {
"type": "number"
},
"validUntil": {
"type": "number"
}
}
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Complete operation definition
OpenAPI JSON
{
"summary": "Serverbestätigten Kontostatus abrufen",
"tags": [
"Account"
],
"x-required-scopes": [],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"authenticated",
"verifiedUntil",
"validForMs",
"account",
"error"
],
"properties": {
"authenticated": {
"type": "boolean"
},
"verifiedUntil": {
"type": "number"
},
"validForMs": {
"type": "number"
},
"account": {
"anyOf": [
{
"type": "object",
"required": [
"membership",
"entitlements",
"limits",
"isAdmin",
"notificationsUnread",
"serverTime",
"validUntil"
],
"properties": {
"membership": {
"type": "object",
"required": [
"plan",
"trialEndsAt",
"premiumExpiresAt"
],
"properties": {
"plan": {
"anyOf": [
{
"type": "string",
"enum": [
"free"
]
},
{
"type": "string",
"enum": [
"trial"
]
},
{
"type": "string",
"enum": [
"premium"
]
}
]
},
"trialEndsAt": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"premiumExpiresAt": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"periodStartedAt": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
}
},
"entitlements": {
"type": "object",
"required": [
"profiles",
"api",
"automation",
"synchronizer",
"teamSync"
],
"properties": {
"profiles": {
"type": "boolean"
},
"api": {
"type": "boolean"
},
"automation": {
"type": "boolean"
},
"synchronizer": {
"type": "boolean"
},
"teamSync": {
"type": "boolean"
}
}
},
"limits": {
"type": "object",
"required": [
"profiles",
"runningProfiles",
"groups"
],
"properties": {
"profiles": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"runningProfiles": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"groups": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"members": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
},
"dailyStarts": {
"anyOf": [
{
"type": "integer",
"minimum": 0
},
{
"type": "null"
}
]
}
}
},
"usage": {
"type": "object",
"required": [
"profiles",
"members",
"startsToday",
"day",
"resetAt"
],
"properties": {
"profiles": {
"type": "integer",
"minimum": 0
},
"members": {
"type": "integer",
"minimum": 0
},
"startsToday": {
"type": "integer",
"minimum": 0
},
"day": {
"type": "string"
},
"resetAt": {
"type": "number"
}
}
},
"team": {
"type": "object",
"required": [
"id",
"name",
"role",
"ownerId"
],
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner"
]
},
{
"type": "string",
"enum": [
"admin"
]
},
{
"type": "string",
"enum": [
"member"
]
}
]
},
"ownerId": {
"type": "string"
}
}
},
"isAdmin": {
"type": "boolean"
},
"notificationsUnread": {
"type": "integer",
"minimum": 0
},
"serverTime": {
"type": "number"
},
"validUntil": {
"type": "number"
}
}
},
{
"type": "null"
}
]
},
"error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}